# Created by pyp2rpm-3.3.0
%global pypi_name gitlab

Name:           python-%{pypi_name}
Version:        1.3.0
Release:        5%{?dist}
Summary:        Interact with GitLab API

License:        LGPLv3
URL:            https://github.com/python-gitlab/python-gitlab
Source0:        https://files.pythonhosted.org/packages/source/p/python-gitlab/python-gitlab-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2dist(requests) >= 1.0
BuildRequires:  python2dist(setuptools)
BuildRequires:  python2dist(six)
BuildRequires:  python2dist(httmock)
BuildRequires:  python2dist(mock)

BuildRequires:  python3-devel
BuildRequires:  python3dist(requests) >= 1.0
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(httmock)
BuildRequires:  python3dist(mock)

%description
Interact with GitLab API

%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}

Requires:       python2dist(requests) >= 1.0
Requires:       python2dist(setuptools)
Requires:       python2dist(six)
%description -n python2-%{pypi_name}
Interact with GitLab API

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(requests) >= 1.0
Requires:       python3dist(setuptools)
Requires:       python3dist(six)
%description -n python3-%{pypi_name}
Interact with GitLab API

%package -n python-%{pypi_name}-doc
Summary:        Python gitlab documentation
%description -n python-%{pypi_name}-doc
Documentation for gitlab

%prep
%autosetup -n python-%{pypi_name}-%{version}
for Files in gitlab/v4/cli.py gitlab/v3/cli.py \
             gitlab/cli.py gitlab/tests/test_cli.py \
             gitlab/tests/test_gitlabobject.py   ; do
  %{__sed} -i.orig -e 1d ${Files}
  touch -r ${Files}.orig ${Files}
  %{__rm} ${Files}.orig
done

%build
%py2_build
%py3_build
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
# Must do the default python version install last because
# the scripts in /usr/bin are overwritten with every setup.py install.
%py2_install
rm -rf %{buildroot}%{_bindir}/*
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-%{pypi_name}
%doc README.rst contrib/docker/README.rst
%license COPYING
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/python_gitlab-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%doc README.rst contrib/docker/README.rst
%license COPYING
%{_bindir}/gitlab
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/python_gitlab-%{version}-py?.?.egg-info

%files -n python-%{pypi_name}-doc
%license COPYING
%doc html

%changelog
* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.3.0-5
- Rebuilt for Python 3.7

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.3.0-4
- Rebuilt for Python 3.7

* Wed May 16 2018 Steve Traylen <steve.traylen@cern.ch> - 1.3.0-3
- Correct copy paste error.

* Wed May 16 2018 Steve Traylen <steve.traylen@cern.ch> - 1.3.0-2
- Specify COPYING file. Add BR on python-mock.

* Fri May 11 2018 Steve Traylen <steve.traylen@cern.ch> - 1.3.0-1
- Initial package.
